Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(339)

Issue 222810043: make pretty-print available in ly files

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 7 months ago by david.nalesnik
Modified:
3 years, 9 months ago
Reviewers:
dak, thomasmorley651
CC:
lilypond-devel_gnu.org
Base URL:
http://git.savannah.gnu.org/gitweb/?p=lilypond.git/trunk/
Visibility:
Public.

Description

make pretty-print available in ly files

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -0 lines) Patch
M ly/init.ly View 1 chunk +1 line, -0 lines 3 comments Download

Messages

Total messages: 14
david.nalesnik
Please review. Thanks!
4 years, 7 months ago (2015-03-27 15:03:01 UTC) #1
dak
https://codereview.appspot.com/222810043/diff/1/ly/init.ly File ly/init.ly (right): https://codereview.appspot.com/222810043/diff/1/ly/init.ly#newcode38 ly/init.ly:38: #(use-modules (ice-9 pretty-print)) Uh, where is the point? Why ...
4 years, 7 months ago (2015-04-07 16:13:44 UTC) #2
david.nalesnik
https://codereview.appspot.com/222810043/diff/1/ly/init.ly File ly/init.ly (right): https://codereview.appspot.com/222810043/diff/1/ly/init.ly#newcode38 ly/init.ly:38: #(use-modules (ice-9 pretty-print)) On 2015/04/07 16:13:44, dak wrote: > ...
4 years, 7 months ago (2015-04-07 17:43:07 UTC) #3
thomasmorley651
https://codereview.appspot.com/222810043/diff/1/ly/init.ly File ly/init.ly (right): https://codereview.appspot.com/222810043/diff/1/ly/init.ly#newcode38 ly/init.ly:38: #(use-modules (ice-9 pretty-print)) On 2015/04/07 17:43:07, david.nalesnik wrote: > ...
4 years, 7 months ago (2015-04-07 23:25:09 UTC) #4
dak
On 2015/04/07 23:25:09, thomasmorley651 wrote: > https://codereview.appspot.com/222810043/diff/1/ly/init.ly > File ly/init.ly (right): > > https://codereview.appspot.com/222810043/diff/1/ly/init.ly#newcode38 > ...
4 years, 7 months ago (2015-04-08 08:11:35 UTC) #5
thomasmorley651
On 2015/04/08 08:11:35, dak wrote: > On 2015/04/07 23:25:09, thomasmorley651 wrote: > > https://codereview.appspot.com/222810043/diff/1/ly/init.ly > ...
4 years, 7 months ago (2015-04-08 09:13:53 UTC) #6
dak
On 2015/04/08 09:13:53, thomasmorley651 wrote: > We have 'write-me' in lily-library.scm, pretty-print is loaded there ...
4 years, 7 months ago (2015-04-08 10:21:55 UTC) #7
thomasmorley651
On 2015/04/08 10:21:55, dak wrote: > value->lily-string is probably the most useful reasonably generic printing ...
4 years, 7 months ago (2015-04-08 10:43:09 UTC) #8
dak
On 2015/04/08 10:43:09, thomasmorley651 wrote: > On 2015/04/08 10:21:55, dak wrote: > > > value->lily-string ...
4 years, 7 months ago (2015-04-08 11:14:54 UTC) #9
david.nalesnik
On 2015/04/08 11:14:54, dak wrote: > On 2015/04/08 10:43:09, thomasmorley651 wrote: > > On 2015/04/08 ...
4 years, 7 months ago (2015-04-08 16:06:47 UTC) #10
david.nalesnik
On 2015/04/08 16:06:47, david.nalesnik wrote: > On 2015/04/08 11:14:54, dak wrote: > > commit 8d8e8aec6388fbb08ed2219884b82ecf53a9dbcd ...
4 years, 7 months ago (2015-04-08 16:11:07 UTC) #11
david.nalesnik
On 2015/04/08 16:06:47, david.nalesnik wrote: > It's worth noting that the ~y option IS available ...
4 years, 7 months ago (2015-04-08 16:50:25 UTC) #12
david.nalesnik
The patch was pushed after much of the discussion above. Shall I make another patch ...
3 years, 9 months ago (2016-01-23 22:11:03 UTC) #13
david.nalesnik
3 years, 9 months ago (2016-01-23 22:11:40 UTC) #14
On 2016/01/23 22:11:03, david.nalesnik wrote:
> The patch was pushed after much of the discussion above.  Shall I make another
> patch removing the functionality>

Ugh--I mean pushed *before* much of the discussion.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b